# Control App


## ¿What is my purpose?

This application should enable to control, for now, a measurement computing daq and a zyla camera. 

## Requisites

These requisites are recommended to be installed after creating the anaconda environment described below. 

In windows, the mcculw package is needed. You can install it from https://pypi.org/project/mcculw/, where you need to follow some simple instrucions. After following those, open the installed 
program Instalcal at least once for getting some neccesary updates.  

In Linux, you will need the mccdaq package. You can install it from https://pypi.org/project/uldaq/. There you should go to the github repository and follow the build instructions. 
Also, check requisites.txt, and install the python packages listed there. This can be usually done via PIP. 

## Getting started


You can run the Software directly from the repo. First install all
the dependencies in a conda environment:

    $ conda create -n controlApp python=3.6 
    $ conda activate controlApp
    $ conda install numpy pyqt pyqtgraph matplotlib
    
Then run it simply by calling main in that environment:

    $ python main.py  